Request cURL
curl -s "https://app.upfour.io/v1/advisor" \
-H "Authorization: Bearer $UP4_API_KEY"
JavaScript
const res = await fetch("https://app.upfour.io/v1/advisor", {
headers: {
Authorization: `Bearer ${process.env.UP4_API_KEY}`,
},
});
console.log(res.status, await res.json());
Python
import os
import requests
res = requests.get(
"https://app.upfour.io/v1/advisor",
headers={"Authorization": f"Bearer {os.environ['UP4_API_KEY']}"},
)
print(res.status_code, res.json())
Go
package main
import (
"fmt"
"io"
"net/http"
"os"
)
func main() {
req, _ := http.NewRequest("GET", "https://app.upfour.io/v1/advisor", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("UP4_API_KEY"))
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
out, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(out))
}
PHP
<?php
$ch = curl_init("https://app.upfour.io/v1/advisor");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer " . getenv("UP4_API_KEY"),
],
]);
$response = curl_exec($ch);
echo curl_getinfo($ch, CURLINFO_RESPONSE_CODE), " ", $response, "\n";
curl_close($ch);
Response
200
{
"data": {
"critical_count": 3,
"findings": [
{
"fix_action": "attach_default_channel",
"fix_href": "/monitors/00000000-0000-4000-8000-000000000001/edit",
"fix_label": "Alert me by email",
"rule_id": "monitor_without_recipient",
"severity": "critical",
"target_id": "00000000-0000-4000-8000-000000000001",
"target_name": "Status page",
"target_type": "monitor",
"title": "Nobody is alerted when this goes down",
"why": "This monitor has no alert channel and no alert plan. If it fails, up4 checks it, records the outage — and tells no one."
},
{
"fix_action": "attach_default_channel",
"fix_href": "/monitors/00000000-0000-4000-8000-000000000002/edit",
"fix_label": "Alert me by email",
"rule_id": "monitor_without_recipient",
"severity": "critical",
"target_id": "00000000-0000-4000-8000-000000000002",
"target_name": "Docs site",
"target_type": "monitor",
"title": "Nobody is alerted when this goes down",
"why": "This monitor has no alert channel and no alert plan. If it fails, up4 checks it, records the outage — and tells no one."
},
{
"fix_action": "attach_default_channel",
"fix_href": "/monitors/00000000-0000-4000-8000-000000000003/edit",
"fix_label": "Alert me by email",
"rule_id": "monitor_without_recipient",
"severity": "critical",
"target_id": "00000000-0000-4000-8000-000000000003",
"target_name": "Marketing website",
"target_type": "monitor",
"title": "Nobody is alerted when this goes down",
"why": "This monitor has no alert channel and no alert plan. If it fails, up4 checks it, records the outage — and tells no one."
},
{
"fix_href": "/escalation-policies/00000000-0000-4000-8000-000000000004",
"fix_label": "Attach to monitors",
"rule_id": "alert_plan_without_monitors",
"severity": "hint",
"target_id": "00000000-0000-4000-8000-000000000004",
"target_name": "Default escalation",
"target_type": "escalation_policy",
"title": "This alert plan is not attached to anything",
"why": "No monitor uses this plan, so its escalation steps never run."
}
],
"generated_at": "2026-10-27T09:00:00Z",
"hint_count": 1,
"monitors_with_findings": {
"00000000-0000-4000-8000-000000000001": "critical",
"00000000-0000-4000-8000-000000000002": "critical",
"00000000-0000-4000-8000-000000000003": "critical"
},
"scope": "organization",
"warning_count": 0
}
}
400
{
"error": {
"code": "bad_request",
"message": "The request is malformed or fails validation.",
"request_id": "req_…"
}
}